Topic Title: ATI Catalyst Mobility cannot be downloaded due to incompatible hardware/software on your computer
Topic Summary:
Created On: 07/08/2013 05:39 PM
Status: Post and Reply
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 07/08/2013 05:39 PM
User is offline View Users Profile Print this message

Author Icon
Lach
Peon

Posts: 1
Joined: 07/08/2013

Hello, i have a HP Pavilion dv7-4285dx Laptop Computer. I have recently come to your drivers and support page to update my drivers for my computer, as i have the AMD Radeon HD 6300M series on my Computer. I run the autodetect on my system and it brings me to a amd downloading screen that says so and so is the best driver for your system or something along the lines of that. When i click download, it downloads fully and then an error pops up saying "ATI Catalyst Mobility cannot be downloaded due to incompatible hardware/software on your computer." I dont understand how it is not compatable when i specifically run the auto detect and install option on your site. I also already have CCC on my computer already. I just want to update my drivers but this problem keeps arising. Any ideas on how to fix this?

 07/08/2013 06:14 PM
User is offline View Users Profile Print this message

Author Icon
stumped
Wizard

Posts: 7852
Joined: 11/13/2009

Read the BIG STICKY there about updating mobility drivers. 



-------------------------

Intel I7 960 @ 3.87ghz *Intel DX58SO *AMD R9 290 4gb *Corsair TX650M *2x4gb Corsair XMS3 *WD Black 1TB *Windows 7 Home Premium 64bit ***Asus N71Jq laptop *Intel I7 720QM Processor *Mobility Radeon HD5730 1gb *8gb Ram *Windows 7 64bit ** Toshiba P75-A7200 * Intel I7-4700MQ * Windows 8.1 64bit 


***** cetera fallunt, ludere mortuus ******



Edited: 07/10/2013 at 02:33 AM by stumped
Statistics
88940 users are registered to the AMD Support and Game forum.
There are currently 4 users logged in.

FuseTalk Hosting Executive Plan v3.2 - © 1999-2014 FuseTalk Inc. All rights reserved.